﻿@model Tuple<List<PurchaseRequestView>, List<String>, PurchaseRequestCombo>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Purchase/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.PurchaseRequest.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@PurchaseRequest.PRS</h1>
<!-- Row start -->
<div class="row">
    <div class="col-md-3 sidebar-secondary">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">@PurchaseOrders.Search </a>
                        <i class="indicator glyphicon glyphicon-search  pull-right"></i>
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">
                    <div class="panel-body">
                       
                        <div class="form-group">
                            <select id="ReqType" class="form-control valid" required>
                                <option selected="selected" value="12">@PurchaseRequest.User</option>
                                <option value="171">@PurchaseRequest.Employee</option>
                            </select>
                        </div>
                            @Html.TextBox("txtRequesterCode", null, new { @Id = "txtRequesterCode", @class = "form-control", @type = "hidden" })
                        <div class="form-group">
                            @Html.TextBox("txtRequesterName", null, new { @Id = "txtRequesterName", @placeholder = @PurchaseRequest.Requester, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#RequesterModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseRequest.Requester </button>
                        </div>
                       
                        <div class="form-group">
                            <input id="SalesEmployeeNumber" name="SalesEmployeeNumber" type="hidden">
                        </div>
                        <div class="form-group">
                            @Html.TextBox("txtSalesEmployee", null, new { @Id = "txtSalesEmployee", @Name = "txtSalesEmployee", @placeholder = @PurchaseOrders.SE, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#SEModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.SE </button>
                        </div>
                        
                        <div class="form-group">
                            <input id="OwnerCode" name="OwnerCode" type="hidden">
                        </div>
                        <div class="form-group">
                            @Html.TextBox("OwnerName", null, new { @Id = "OwnerName", @Name = "OwnerName", @placeholder = @PurchaseOrders.Owner, @class = "form-control" })
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success btn-ls pull-left " data-toggle="modal" data-target="#EmployeeModal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search @PurchaseOrders.Owner </button>
                        </div>
                        
                       
                        <div class="form-group">
                            <div class="input-group date">
                                @Html.TextBox("txtDate", null, new { @Id = "txtDate", @placeholder = @PurchaseOrders.Date, @class = "form-control" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                        <div class="form-group">
                            @Html.TextBox("txtDocNum", null,
                                new { @Id = "txtDocNum",
                                    @placeholder = @PurchaseOrders.DocNro,
                                    @class = "form-control" })
                        </div>
                       
                        <div class="form-group">
                            <select id="txtDepartment" class="form-control valid">
                                @{
                                    PurchaseRequestCombo combo = Model.Item3;
                                    foreach (Department dpto in combo.DepartmentList)
                                    {
                                        <option value="@dpto.Code">@dpto.Name</option>
                                    }
                                }
                            </select>
                        </div>
                        <div class="form-group">
                           
                                <select id="txtDocStatus" class="form-control" name="txtDocStatus">
                                    <option selected="selected" value="">@PurchaseOrders.ADS</option>
                                    <option value="O">@PurchaseOrders.Open</option>
                                    <option value="C">@PurchaseOrders.Closed</option>
                                </select>
                           
                        </div>
                    </div>
                    <div class="panel-footer">
                        <button type="button" id="btSearch" class="btn btn-primary btn-lg pull-left " data-toggle="modal"><span class="glyphicon glyphicon-search"></span>@PurchaseOrders.Search</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="BodyPR" class="col-md-9 sidebar-data">
        <div class="panel panel-default">
            <div class="panel-body">
                <div class="table-responsive responsive table_cart">
                    <table id="assets-data-table" class="table table-striped table-hover display" style="width:100%;"></table>
                    <script type="text/javascript">
                            var assetListVM;
                            $(function () {
                                assetListVM = {
                                    dt: null,
                                    init: function () {
                                        dt = $('#assets-data-table').DataTable({
                                            "language": {
                                                "lengthMenu": "@Shared.DTlengthMenu",
                                                "zeroRecords": "@Shared.DTzeroRecords",
                                                "info": "@Shared.DTinfo",
                                                "infoEmpty": "@Shared.DTinfoEmpty",
                                                "infoFiltered": "@Shared.DTinfoFiltered",
                                                "paginate": {
                                                    "previous": "@Shared.DTprevious",
                                                    "next": "@Shared.DTnext",
                                                    "first": "@Shared.DTfirst",
                                                    "last": "@Shared.DTlast"
                                                }
                                            },
                                            "autoWidth": true,
                                            "serverSide": true,
                                            "processing": true,
                                            "data": null,
                                            "dom": 'Blfrtip',
                                            "buttons": ['excel', 'pdf', 'print'],
                                            "searching": false,
                                            "ajax": {
                                                "url": "/Purchase/PurchaseRequest/GetListPR",
                                                "type": 'POST',
                                                "data": function (data) {
                                                    var dateTxtDate = $("#txtDate").datepicker("getDate");
                                                    data.pRequester = $("#txtRequesterCode").val();
                                                    data.pDate = (isNaN(dateTxtDate) == true ? null : ((dateTxtDate.getMonth() + 1) + "/" + dateTxtDate.getDate() + "/" + dateTxtDate.getFullYear()));
                                                    data.pNro = $("#txtDocNum").val();
                                                    data.pDeparment = $("#txtDepartment").val();
                                                    data.pDocStatus = $("#txtDocStatus").val();
                                                    data.pOwnerCode = $("#OwnerCode").val();
                                                    data.pSECode = $("#SalesEmployeeNumber").val();
                                                }
                                            },
                                            "columns": [
                                                { "title": "#", "data": "DocNum", "name": "DocNum" },
                                                { "title": "DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                                                { "title": "Requester", "data": "Requester", "name": "Requester"  },
                                                { "title": "Comments", "data": "Comments", "name": "Comments"  },
                                                { "title": "ReqDate", "data": "ReqDateJSONView", "name": "ReqDate"  },
                                                {
                                                    "title": "DocStatus", "name": "DocStatus", "data": "DocStatus",
                                                    "render": function (data, type, full, meta) {
                                                        switch (data) {
                                                            case "C": return "@PurchaseOrders.Closed"; break;
                                                            case "O": return "@PurchaseOrders.Open"; break;
                                                            default: ""; break;
                                                        }
                                                    }
                                                },
                                                {
                                                    "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                    "render": function (data, type, full, meta) {
                                                        var mReturnValue = "";
                                                        if(@_View.ToString().ToLower() == true)
                                                        {
                                                            mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=View&IdPR="+data.DocEntry+"&fromController=PurchaseRequest\" class=\"btn btn-primary btn-xs\" style=\"margin-right:2px !important\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.View</a>";
                                                        }
                                                        if(@_Update.ToString().ToLower() == true)
                                                        {
                                                            if (data.DocStatus != "C")
                                                            {
                                                                mReturnValue += "<a href=\"/Purchase/PurchaseRequest/ActionPurchaseRequest?ActionPurchaseRequest=Update&IdPR="+data.DocEntry+"&fromController=PurchaseRequest\" class=\"btn btn-primary btn-xs\"><span class=\"glyphicon glyphicon-eye-open\"></span>&nbsp;@PurchaseOrders.Edit</a>";
                                                            }
                                                        }
                                                        return mReturnValue;
                                                    }
                                                }
                                            ],
                                            "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        });
                                    },
                                    refresh: function () {
                                        dt.ajax.reload();
                                    }
                                }
                            });
                    </script>
                </div>
            </div>
        </div>

@if (_Add)
{
    <div class="but_blok_footer">
        <a href='@Url.Action("ActionPurchaseRequest", "PurchaseRequest", new { @ActionPurchaseRequest = "Add", @IdPR = 0, @fromController = "PurchaseRequest" })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@PurchaseRequest.NPR
        </a>
    </div>
}
    </div>
</div>





@*Modal Requester*@
<div class="modal fade" id="RequesterModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelRequesterModal">@PurchaseOrders.Search @PurchaseRequest.Requester</h4>
            </div>
            <div class="">
                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeRequester" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameRequester" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>

                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchRequester" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchRequester" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadRequester" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyRequester">
                            @Html.Partial("_Requesters", Model.Item2)
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Employee Modal*@
<div class="modal fade" id="EmployeeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelEmloyeeModalEmployee">@PurchaseOrders.Search @PurchaseOrders.Employee</h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCodeEmployee" value="option1" checked=""> @PurchaseOrders.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckNameEmployee" value="option1" checked=""> @PurchaseOrders.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearchEmployee" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchEmployee" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadEmployee" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodyEmployee">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*SE Modal*@
<div class="modal fade" id="SEModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelSEModalSE">@PurchaseOrders.Search @PurchaseOrders.SE</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@PurchaseOrders.Search</label>
                    </div>
                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSE" class="form-control">
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchSE" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>

                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadSE" style=" text-align :center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="ModalBodySE">
                            @*Aca cargo los datos por el ajax*@
                        </div>
                    </div>

                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/PurchaseRequest-Index")




